Update an offer by SKU

Update an offer. This replaces the existing offer with the input data.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
string
required

The unique SKU for this item. This SKU is used for API operations, and to identify the offer during fulfillment.

string
required

The price tier code for this item. Read more about price tiers here.

boolean
required
Defaults to false

Whether the item should only be displayed based on player-specific information (e.g. reaching a certain in-game level).

boolean
required
Defaults to false

Whether the targeted offer should be displayed if it is not yet unlocked. Only used if isTargetedOffer is set to true.

boolean
required
Defaults to false

Flag to indicate whether the offer should be hidden once it has been claimed.

boolean
Defaults to false

Flag to indicate whether the offer should be hidden from the storefront.

boolean
Defaults to false

Flag to indicate whether this offer contains randomized content (e.g., loot boxes). Used for jurisdiction-based restrictions.

string | null
enum

Controls which purchase button(s) are shown on the offer card. Null defaults to add-to-cart behaviour.

Allowed:
integer | null

Number to be used if the offer should be limited to a certain number or purchases per user.

timeLimits
array of objects
timeLimits
groups
array of objects
required

Offer group configuration for this offer. Offer groups can be created by calling POST /storefront/offer-groups, and must be created prior to calling this endpoint.

groups*
string | null
required

The file name of this offer's image. This is the value of fileName you passed in when calling POST /assets/inventory-images.

string | null
required

The file name of this offer's background image. This is the value of fileName you passed in when calling POST /assets/inventory-images.

items
array of objects
required

The items included in this offer. Items can be created by calling POST /storefront/items, and must be created prior to calling this endpoint.

items*
text
object
required

Text for this offer in each language your storefront supports. The keys of this object are IETF BCP 47 locale codes, e.g. en-US.

Responses
200

Empty.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json